# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 5.0.3 on 2024-03-20 12:06

from django.db import migrations, models

import weblate.utils.fields
import weblate.utils.validators


class Migration(migrations.Migration):
    dependencies = [
        ("weblate_auth", "0004_merge_20240219_0936"),
    ]

    operations = [
        migrations.AddField(
            model_name="invitation",
            name="full_name",
            field=models.CharField(
                blank=True,
                help_text="Suggest full name for the user. It can be changed later.",
                max_length=150,
                validators=[weblate.utils.validators.validate_fullname],
                verbose_name="Full name",
            ),
        ),
        migrations.AddField(
            model_name="invitation",
            name="username",
            field=weblate.utils.fields.UsernameField(
                blank=True,
                help_text="Suggest username for the user. It can be changed later.",
                max_length=150,
                validators=[weblate.utils.validators.validate_username],
                verbose_name="Username",
            ),
        ),
    ]
